diff --git a/src/cffi-abcl.lisp b/src/cffi-abcl.lisp
index a85fe0f..7c01597 100644
--- a/src/cffi-abcl.lisp
+++ b/src/cffi-abcl.lisp
@@ -297,14 +297,17 @@ WITH-POINTER-TO-VECTOR-DATA."
               when fn do (return fn))
         (find-it name (gethash library *loaded-libraries*)))))
 
+(defun convert-calling-convention (convention)
+  (ecase convention
+    (:stdcall "ALT_CONVENTION")
+    (:cdecl "C_CONVENTION")))
+
 (defun make-function-pointer (pointer cconv)
   (jnew (private-jconstructor "com.sun.jna.Function"
                               "com.sun.jna.Pointer" "int")
         pointer
         (jfield "com.sun.jna.Function"
-                (ecase cconv
-                  (:cdecl "C_CONVENTION")
-                  (:stdcall "ALT_CONVENTION")))))
+                (convert-calling-convention convention))))
 
 (defun lisp-value-to-java (value foreign-type)
   (if (eq foreign-type :pointer)
@@ -347,16 +350,17 @@ WITH-POINTER-TO-VECTOR-DATA."
           else do (setf return-type type)
           finally (return (values types fargs return-type)))))
 
-(defmacro %foreign-funcall (name args &key library calling-convention)
+(defmacro %foreign-funcall (name args &key library convention)
+  (declare (ignore convention))
   (multiple-value-bind (types fargs rettype)
       (foreign-funcall-type-and-args args)
     `(%%foreign-funcall (find-foreign-function ',name ',library)
                         (list ,@fargs) ',types ',rettype)))
 
-(defmacro %foreign-funcall-pointer (ptr args &key calling-convention)
+(defmacro %foreign-funcall-pointer (ptr args &key convention)
   (multiple-value-bind (types fargs rettype)
       (foreign-funcall-type-and-args args)
-    `(%%foreign-funcall (make-function-pointer ,ptr ',calling-convention)
+    `(%%foreign-funcall (make-function-pointer ,ptr ',convention)
                         (list ,@fargs) ',types ',rettype)))
 
 ;;;# Callbacks
@@ -366,7 +370,7 @@ WITH-POINTER-TO-VECTOR-DATA."
 ;;; apparently no supported by ABCL as of June 2009.
 
 (defmacro %defcallback (name rettype arg-names arg-types body
-                        &key calling-convention)
+                        &key convention)
   (warn "callback support unimplemented"))
 
 (defun %callback (name)
